Subject: Re: [PATCH net-next] cxgb4: Revert "cxgb4: Remove SGE_HOST_PAGE_SIZE dependency on page size"

From: Vishal Kulkarni <[email-masked]>
Date: Wed, 22 May 2019 20:22:37 +0530

Hi David,

On Wednesday, May 05/22/19, 2019 at 01:53:31 +0530, David Miller wrote:
> From: Vishal Kulkarni <[email-masked]>
> Date: Tue, 21 May 2019 09:12:02 +0530
> 
> > This reverts commit 2391b0030e241386d710df10e53e2cfc3c5d4fc1
> > SGE's BAR2 Doorbell/GTS Page Size is now interpreted correctly in the
> > firmware itself by using actual host page size. Hence previous commit
> > needs to be reverted.
> > 
> > Signed-off-by: Vishal Kulkarni <[email-masked]>
> 
> Really confusing.
> 
> First of all, I see a lot of cxgb4 patch submissions targetting net-next that
> are really legitimate bug fixes.
> 
> Are you only targetting net-next to be "on the safe side" because you are
> unsure of the 'net' rules?  Please don't do that.  If it's a bug fix, send
> it to 'net' as appropriate.

My apologies. I will retarget to 'net' and resend.

> 
> Second, so what happens to people running older firmware?  Have you made a
> completely incompatible change to the firmware behavior?  If so, you have
> to version check the firmware and use the correct interpretation based upon
> how the firmware verion interprets things.

The fix in the commit 2391b0030e241386d710df10e53e2cfc3c5d4fc1 is wrong
and introduced regression. The correct fix is done in the firmware and 
hence it needs to be reverted. The changes done in firmware is compatible.

> Thanks.